Need help flashing OpenWrt on Linksys E8450

I have a Linksys E8450 with Firmware Version: 1.2.00.273012. I tried to convert to UBI first by flashing openwrt-22.03.0-mediatek-mt7622-linksys_e8450-ubi-initramfs-recovery-installer_signed.itb from https://github.com/dangowrt/owrt-ubi-installer. It just show an alert box with message "The image file is incorrect".

The last one I used was

openwrt-22.03-snapshot-r19228-0877953235-mediatek-mt7622-linksys_e8450-ubi-initramfs-recovery-installer.itb

Note it's not "_signed", maybe that's it and you need a cert or something in the upload directory???

Still can't get it to work. The _signed image is required for version 1.2.x.

Oho, I missed the version number. Can you get the Linksys 1.0 version of the firmware linked on Daniel's github and "upgrade" to that first? All my Belkins started from 1.0, so I haven't had to do that preliminary step on them.

https://downloads.linksys.com/support/assets/firmware/FW_E8450_1.0.01.101415_prod.img